#include "chdecl.h"
void CH_sortprocerrors_proglit(current, sched, cop)
#define ARGUMENTS 5
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c8;
    case 4: goto c18;
    case 5: goto c19;
    case 6: goto c27;
    case 7: goto c28;
    case 8: goto c36;
    case 9: goto c38;
    case 10: goto c53;
    case 11: goto c56;
    case 12: goto c58;
    case 13: goto c61;
    case 14: goto c64;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* copy 4 3.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = & dr_table;
/* copy 5 3.1.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = & dr_table;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* equal . 4 5 , 38 */
  if ( eq_table(REF(4).value,REF(5).value) ) goto c38;
c8:
/* noop */
  
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* initget 6 4 , 0,0 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(6),DEF(4),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 6 4 */
  if ((ch_returncode = get_selected_object(DEF(6),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* remove 7 6 4 */
  if ((ch_returncode = che_remove(DEF(7),DEF(6),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* endget 6 4 */
  end_selector(DEF(6),DEF(4),sched,GET);
/* endblock */
  che_endblock(sched);
/* branch , 19 */
   goto c19;
c18:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c19:
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 5 */
  if (REF(5).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(5))) != Normal)
       goto ch_raise_exception;
/* initget 8 5 , 0,0 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(8),DEF(5),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 8 5 */
  if ((ch_returncode = get_selected_object(DEF(8),DEF(5),sched)) != Normal)
     goto ch_raise_exception;
/* remove 9 8 5 */
  if ((ch_returncode = che_remove(DEF(9),DEF(8),DEF(5),sched)) != Normal)
     goto ch_raise_exception;
/* endget 8 5 */
  end_selector(DEF(8),DEF(5),sched,GET);
/* endblock */
  che_endblock(sched);
/* branch , 28 */
   goto c28;
c27:
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c28:
/* oege . 7 9 , 32 */
  if ( REF(7).value.ord_enum >= REF(9).value.ord_enum ) goto c32;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c32:
/* oege . 9 7 , 8 */
  if ( REF(9).value.ord_enum >= REF(7).value.ord_enum ) goto c8;
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c36:
/* exit , 7 */
  ch_e = handler_type__exit; ch_val = QUAL(7); goto ch_exception;
c38:
/* ige . 3.0.1 3.1.1 , 42 */
  if ( REF(3)DOT(0)DOT(1).value.integer >= REF(3)DOT(1)DOT(1).value.integer )
     goto c42;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c42:
/* ige . 3.1.1 3.0.1 , 46 */
  if ( REF(3)DOT(1)DOT(1).value.integer >= REF(3)DOT(0)DOT(1).value.integer )
     goto c46;
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c46:
/* ige . 3.1.2 3.0.2 , 50 */
  if ( REF(3)DOT(1)DOT(2).value.integer >= REF(3)DOT(0)DOT(2).value.integer )
     goto c50;
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c50:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
/* endblock */
  che_endblock(sched);
/* branch , 58 */
   goto c58;
c53:
/* boolean 3.2 , FALSE */
  REF(3)DOT(2).value.boolean = FALSE;
  REF(3)DOT(2).tsdr = & dr_boolean;
/* branch , 58 */
   goto c58;
c56:
/* boolean 3.2 , TRUE */
  REF(3)DOT(2).value.boolean = TRUE;
  REF(3)DOT(2).tsdr = & dr_boolean;
c58:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c61:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c64:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
